libmspub::Coordinate Struct Reference

`#include <Coordinate.h>`

## Public Member Functions

| Coordinate (int xs, int ys, int xe, int ye)
| Coordinate ()
void | arrange ()
double | getXIn (double pageWidth) const
double | getYIn (double pageHeight) const
double | getWidthIn () const
double | getHeightIn () const

## Public Attributes

int | m_xs
int | m_ys
int | m_xe
int | m_ye

## Constructor & Destructor Documentation

## Coordinate() [1/2]

libmspub::Coordinate::Coordinate | ( | int | xs,
|  | int | ys,
|  | int | xe,
|  | int | ye )

## Coordinate() [2/2]

libmspub::Coordinate::Coordinate | ( |  | ) |

inline

## Member Function Documentation

## arrange()

void libmspub::Coordinate::arrange | ( |  | ) |

Referenced by Coordinate(), and libmspub::MSPUBParser::parseEscherShape().

## getHeightIn()

double libmspub::Coordinate::getHeightIn | ( |  | ) | const

inline

Referenced by libmspub::MSPUBCollector::getSpecialValue(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setRectCoordProps().

## getWidthIn()

double libmspub::Coordinate::getWidthIn | ( |  | ) | const

inline

Referenced by libmspub::MSPUBCollector::getSpecialValue(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setRectCoordProps().

## getXIn()

double libmspub::Coordinate::getXIn | ( | double | pageWidth | ) | const

inline

Referenced by libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setRectCoordProps().

## getYIn()

double libmspub::Coordinate::getYIn | ( | double | pageHeight | ) | const

inline

Referenced by libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setRectCoordProps().

## Member Data Documentation

## m_xe

int libmspub::Coordinate::m_xe

Referenced by arrange(), Coordinate(), Coordinate(), libmspub::getFudgedCoordinates(), getWidthIn(), and libmspub::MSPUBParser::parseEscherShape().

## m_xs

int libmspub::Coordinate::m_xs

Referenced by arrange(), Coordinate(), Coordinate(), libmspub::getFudgedCoordinates(), getWidthIn(), getXIn(), and libmspub::MSPUBParser::parseEscherShape().

## m_ye

int libmspub::Coordinate::m_ye

Referenced by arrange(), Coordinate(), Coordinate(), libmspub::getFudgedCoordinates(), getHeightIn(), and libmspub::MSPUBParser::parseEscherShape().

## m_ys

int libmspub::Coordinate::m_ys

Referenced by arrange(), Coordinate(), Coordinate(), libmspub::getFudgedCoordinates(), getHeightIn(), getYIn(), and libmspub::MSPUBParser::parseEscherShape().

The documentation for this struct was generated from the following files:

- Coordinate.h
- Coordinate.cpp